@media only screen and (min-width: 320px) and (max-width: 2500px) {
  @import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
  @import url("https://fonts.googleapis.com/css2?family=Kalam:wght@300;400;700&display=swap");

  *,
  *::after,
  *::before {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
  }

  .html {
    font-size: 62.5%;
  }

  body {
    font-family: "Poppins", sans-serif;
  }

  /* ///////////..utility classes../////////// */

  .container {
    max-width: 1200px;
    width: 90%;
    margin: auto;
  }

  .btn {
    display: inline-block;
    padding: 0.5em 1.5em;
    text-decoration: none;
    border-radius: 50px;
    cursor: pointer;
    outline: none;
    margin-top: 1em;
    text-transform: uppercase;
    font-weight: small;
  }

  .btn-primary {
    color: #fff;
    background: #16a083;
  }

  .btn-primary:hover {
    background: #117964;
    transition: background 0.3s ease-in-out;
  }

  /* ............/navbar/............ *

/* desktop mode............/// */

  .navbar input[type="checkbox"],
  .navbar .hamburger-lines {
    display: none;
  }

  .navbar {
    box-shadow: 0px 5px 10px 0px #aaa;
    position: fixed;
    width: 100%;
    background: #fff;
    color: #000;
    opacity: 0.85;
    height: 50px;
    z-index: 12;
  }

  .navbar-container {
    display: flex;
    justify-content: space-between;
    height: 64px;
    align-items: center;
  }

  .menu-items {
    order: 2;
    display: flex;
  }

  .menu-items li {
    list-style: none;
    margin-left: 1.5rem;
    margin-bottom: 0.5rem;
    font-size: 1.2rem;
  }

  .menu-items a {
    text-decoration: none;
    color: #444;
    font-weight: 500;
    transition: color 0.3s ease-in-out;
  }

  .menu-items a:hover {
    color: #117964;
    transition: color 0.3s ease-in-out;
  }

  /*.logo {
  order: 1;
  font-size: 10.3rem;
  margin-bottom: 0.5rem;
}*/

  /* ............//// Showcase styling ////......... */

  .showcase-area {
    height: 50vh;
    background: linear-gradient(
        rgba(240, 240, 240, 0.144),
        rgba(255, 255, 255, 0.336)
      ),
      url("https://i.postimg.cc/wMxpMqbH/KIKE10.jpg");
    background-size: cover;
    background-position: right 35% bottom 10%;
    background-repeat: no-repeat;
    top: -50px;
  }

  .main-title {
    text-transform: uppercase;
    margin-top: 1.2em;
    color: black;
    font-size: 1.8rem;
    padding-left: 10%;
  }

  /*#goyis{
  color: black;
  font-size: 50;
}*/

  /* ......//about us//...... */

  #about {
    padding: 50px 0;
    background: #f5f5f7;
  }

  .about-wrapper {
    display: flex;
    flex-wrap: wrap;
  }

  #about h2 {
    font-size: 2.3rem;
  }

  #about p {
    font-size: 1.2rem;
    color: #555;
  }

  #about .small {
    font-size: 1.2rem;
    color: #666;
    font-weight: 600;
  }

  .about-img {
    flex: 1 1 400px;
    padding: 30px;
    transform: translateX(150%);
    animation: about-img-animation 1s ease-in-out forwards;
  }

  @keyframes about-img-animation {
    100% {
      transform: translate(0);
    }
  }

  .about-text {
    flex: 1 1 400px;
    padding: 30px;
    margin: auto;
    transform: translate(-150%);
    animation: about-text-animation 1s ease-in-out forwards;
  }

  @keyframes about-text-animation {
    100% {
      transform: translate(0);
    }
  }

  .about-img img {
    display: block;
    height: 400px;
    max-width: 100%;
    margin: auto;
    object-fit: cover;
    object-position: right;
  }

  /* ..........////Food category///........... */

  #food {
    padding: 5rem 0 10rem 0;
  }

  #food h2 {
    text-align: center;
    font-size: 2.5rem;
    font-weight: 400;
    margin-bottom: 40px;
    text-transform: uppercase;
    color: #555;
  }

  .food-container {
    display: flex;
    justify-content: space-between;
  }

  .food-container img {
    display: block;
    width: 100%;
    margin: auto;
    max-height: 300px;
    object-fit: cover;
    object-position: center;
  }

  .img-container {
    margin: 0 1rem;
    position: relative;
  }

  .img-content {
    position: absolute;
    top: 70%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
    z-index: 2;
    text-align: center;
    transition: all 0.3s ease-in-out 0.1s;
  }

  .img-content h3 {
    color: #fff;
    font-size: 2.2rem;
  }

  .img-content a {
    font-size: 1.2rem;
  }

  .img-container::after {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.871);
    opacity: 0;
    z-index: 1;

    transform: scaleY(0);
    transform-origin: 100% 100%;
    transition: all 0.3s ease-in-out;
  }

  .img-container:hover::after {
    opacity: 1;
    transform: scaleY(1);
  }

  .img-container:hover .img-content {
    opacity: 1;
    top: 40%;
  }

  /* .........../Food Menu/............ */

  .food-menu-heading {
    text-align: center;
    font-size: 3.4rem;
    font-weight: 400;
    color: #666;
  }

  .food-menu-container {
    display: flex;
    flex-wrap: wrap;
    padding: 50px 0px 30px 0px;
  }

  .food-menu-container img {
    display: block;
    width: 250px;
    height: 250px;
    border-radius: 50%;
    object-fit: cover;
    object-position: center;
  }

  .food-menu-item {
    display: flex;
    flex: 1 1 600px;
    justify-content: space-evenly;
    margin-bottom: 3rem;
  }

  .food-description {
    margin: auto 1.5rem;
  }

  .font-title {
    font-size: 1.8rem;
    font-weight: 400;
    color: #444;
  }

  .food-description p {
    font-size: 1.4rem;
    color: #555;
    font-weight: 500;
  }

  .food-description .food-price {
    color: #117964;
    font-weight: 700;
  }

  /* ........./ Testimonial /.......... */

  #testimonials {
    padding: 5rem 0;
    background: rgba(243, 243, 243);
  }

  .testimonial-title {
    text-align: center;
    font-size: 2.8rem;
    font-weight: 400;
    color: #555;
  }

  .testimonial-container {
    display: flex;
    justify-content: space-between;
    font-size: 1.4rem;
    padding: 1rem;
  }

  .testimonial-box .checked {
    color: #ff9529;
  }

  .testimonial-box .testimonial-text {
    margin: 1rem 0;
    color: #444;
  }

  .testimonial-box {
    text-align: center;
    padding: 1rem;
    margin-left: 15%;
  }

  .customer-photo {
    display: block;
    width: 150px;
    height: 150px;
    object-fit: cover;
    object-position: center;
    border-radius: 50%;
    margin-left: 20%;
    margin-top: 4%;
  }

  /* ........ Contact Us........... */

  #contact {
    padding: 5rem 0;
    background: rgb(226, 226, 226);
    text-align: center;
  }

  .contact-container {
    display: flex;
    background: #fff;
    /*padding-left: 5%;*/
    left: 0;
  }

  .contact-img {
    width: 50%;
  }

  .ubicacion {
    text-align: center;
  }
  .contact-img img {
    display: block;
    height: 400px;
    width: 100%;
    object-position: center;
    object-fit: cover;
  }

  #footer h2 {
    text-align: center;
    font-size: 1.8rem;
    padding: 2.6rem;
    font-weight: 500;
    color: #fff;
    background: rgb(65, 65, 65);
  }

  /* ......../ media query /.......... */

  @media (max-width: 768px) {
    .navbar {
      opacity: 0.95;
    }

    .navbar-container input[type="checkbox"],
    .navbar-container .hamburger-lines {
      display: block;
    }

    .navbar-container {
      display: block;
      position: relative;
      height: 64px;
    }

    .navbar-container input[type="checkbox"] {
      position: absolute;
      display: block;
      height: 32px;
      width: 30px;
      top: 20px;
      left: 20px;
      z-index: 5;
      opacity: 0;
    }

    .navbar-container .hamburger-lines {
      display: block;
      height: 23px;
      width: 35px;
      position: absolute;
      top: 17px;
      left: 20px;
      z-index: 2;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
    }

    .navbar-container .hamburger-lines .line {
      display: block;
      height: 4px;
      width: 100%;
      border-radius: 10px;
      background: #333;
    }

    .navbar-container .hamburger-lines .line1 {
      transform-origin: 0% 0%;
      transition: transform 0.4s ease-in-out;
    }

    .navbar-container .hamburger-lines .line2 {
      transition: transform 0.2s ease-in-out;
    }

    .navbar-container .hamburger-lines .line3 {
      transform-origin: 0% 100%;
      transition: transform 0.4s ease-in-out;
    }

    .navbar .menu-items {
      padding-top: 100px;
      background: #fff;
      height: 100vh;
      max-width: 300px;
      transform: translate(-150%);
      display: flex;
      flex-direction: column;
      margin-left: -40px;
      padding-left: 50px;
      transition: transform 0.5s ease-in-out;
      box-shadow: 5px 0px 10px 0px #aaa;
    }

    .navbar .menu-items li {
      margin-bottom: 1.5rem;
      font-size: 1.3rem;
      font-weight: 500;
    }

    .logo_mercado {
      position: absolute;
      top: 5px;
      right: 15px;
      font-size: 1.3;
    }

    .navbar-container input[type="checkbox"]:checked ~ .menu-items {
      transform: translateX(0);
    }

    .navbar-container input[type="checkbox"]:checked ~ .hamburger-lines .line1 {
      transform: rotate(35deg);
    }

    .navbar-container input[type="checkbox"]:checked ~ .hamburger-lines .line2 {
      transform: scaleY(0);
    }

    .navbar-container input[type="checkbox"]:checked ~ .hamburger-lines .line3 {
      transform: rotate(-35deg);
    }

    /* ......./ food /......... */

    .food-container {
      flex-direction: column;
      align-items: stretch;
    }

    .food-type:not(:last-child) {
      margin-bottom: 3rem;
    }

    .food-type {
      box-shadow: 5px 5px 10px 0 #aaa;
    }

    .img-container {
      margin: 0;
    }
  }

  @media (max-width: 500px) {
    html {
      font-size: 65%;
    }

    .navbar .menu-items li {
      font-size: 1.6rem;
    }

    .testimonial-container {
      flex-direction: column;
      text-align: center;
    }

    .contact-img {
      width: 90%;
      margin: 3rem auto;
    }

    #logoMercado {
      width: 10px !important;
      width: 20 !important;
      z-index: 20 !important;
      position: absolute !important;
      padding-left: 10px !important;
      height: 20px;
    }

    .navbar .menu-items li {
      margin-bottom: 2.5rem;
      font-size: 1.8rem;
      font-weight: 500;
    }
  }

  #gorditas {
    margin-left: -250px;
  }

  /*CHIVIS*/

  .espa {
    background-image: url(https://i.postimg.cc/wMxpMqbH/KIKE10.jpg);
    margin: auto;
    min-height: 50vh;

    width: 100%;
    margin: auto;

    display: inline-block;
    /* background-color: rgb(237, 221, 241);*/
    display: flex;
    flex-direction: column;
    height: calc(30vh - 60px);

    background-size: cover;
    background-position: right 35% bottom 10%;
    background-repeat: no-repeat;
  }

  .showcase-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 45%;
    font-size: 25pt;
    background-color: #ff9529;
  }

  .espa-img {
    width: 20%;
    z-index: 14;
    position: absolute;
    left: 0;
    margin-top: 0%;
    padding-left: 20px;
  }

  #nombre {
    font-family: "Kalam", cursive;
    font-weight: 700;
    font-style: normal;
    font-size: 80pt;
  }

  #inicio {
    width: 4%;
    z-index: 20;
    cursor: pointer;
    margin-left: 90%;
    margin-top: 70px;
  }
}

@media screen and (max-width: 1000px) {
  .main-title{
    
    font-size: 1.4rem;
  }
  
  #nombre{
    font-size: 4rem;
  }
  .showcase-container{
    height: 30%;
  }

  #gorditas{
    padding-left: 30%;
  }
}
